# salt.states.ports

Manage software from FreeBSD ports

Added in version 2014.1.0.

Note

It may be helpful to use a higher timeout when running a `ports.installed` state, since compiling the port may exceed Salt's timeout.

    salt -t 1200 '*' state.highstate

salt.states.ports.installed(name, options=None)

  Verify that the desired port is installed, and that it was compiled with the desired options.

  options

    Make sure that the desired non-default options are set

    Warning

    Any build options not passed here assume the default values for the port, and are not just differences from the existing cached options from a previous `make config`.

  Example usage:

      security/nmap:
        ports.installed:
          - options:
            - IPV6: off